Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_as_handlers.DataHandler Class Reference

Class Data Handler Use to handle the transmission of the data retreived from postgis to the web browser Unherited cyclone.websocket.WebSocketHandler. More...

Inheritance diagram for vizitown_plugin.vt_as_handlers.DataHandler:
Collaboration diagram for vizitown_plugin.vt_as_handlers.DataHandler:

## Public Member Functions
def | connectionMade
| connectionMade method Method call when the websocket is opened cyclone.websocket.WebSocketHandler More...
def | messageReceived
| messageReceived method Method call when a message is received Request all content in the extent specified in the message More...
def | connectionLost
| connectionLost method Method call when the websocket is closed More...

## Public Attributes
| translator

## Detailed Description

Class Data Handler Use to handle the transmission of the data retreived from postgis to the web browser Unherited cyclone.websocket.WebSocketHandler.

## Member Function Documentation

def vizitown_plugin.vt_as_handlers.DataHandler.connectionLost | ( |  | self,
|  |  | reason
| ) |  |

connectionLost method Method call when the websocket is closed

Parameters

  reason | to indicate the reason of the closed instance cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.DataHandler.connectionMade | ( |  | self) |  |

connectionMade method Method call when the websocket is opened cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.DataHandler.messageReceived | ( |  | self,
|  |  | message
| ) |  |

messageReceived method Method call when a message is received Request all content in the extent specified in the message

Parameters

  message | in JSON format like: '{"Xmin": 0, "Ymin": 0, "Xmax": 50, "Ymax": 50}' for request all vectors '{"Xmin": 0, "Ymin": 0, "Xmax": 50, "Ymax": 50, uuid: "my_uuid"}' for a request only a specific vector cyclone.websocket.WebSocketHandler

## Member Data Documentation

vizitown_plugin.vt_as_handlers.DataHandler.translator

The documentation for this class was generated from the following file:

- vt_as_handlers.py